Subject: Re: [nmrg] web page for uml diagrams
From: Torsten Klie <[email-masked]>
To: Sharon Chisholm <[email-masked]>
Cc: [email-masked], "Wijnen, Bert (Bert)" <[email-masked]>, [email-masked], Frank Strauss <[email-masked]>, Marcus Brunner <[email-masked]>
Date: Mon, 25 Aug 2003 09:13:49 +0200
List-Id: Network Management Research Group <nmrg.ibr.cs.tu-bs.de>

On Wed, Aug 20, 2003 at 10:12:34AM -0400, Sharon Chisholm wrote:
> I've attached the PDF for the dia Bert sent. Does anyone know how to make it
> print (the method I use to create PDF) so you can fit more diagram to a
> page?

In the file menu of dia there is a menu item called "Page Setup". That
menu item opens a dialog that contains group called "Scaling". For the 
mentioned diagram, a scale value of about 18 seems to be a good choice.

A PDF of the MPLS-LDP-MIB can be found here [1].

Best regards
Torsten

References:
[1]
http://www.ibr.cs.tu-bs.de/projects/nmrg/infomodel/concrete/MPLS-LDP-STD-MIB.pdf

From: "Sharon Chisholm" <[email-masked]>
To: [email-masked], "Wijnen, Bert (Bert)" <[email-masked]>
Cc: [email-masked], Frank Strauss <[email-masked]>, Marcus Brunner <[email-masked]>
Subject: RE: [nmrg] web page for uml diagrams
Date: Wed, 20 Aug 2003 10:12:34 -0400
Sender: [email-masked]

This message is in MIME format. Since your mail reader does not understand
this format, some or all of this message may not be legible.

------_=_NextPart_000_01C36725.186992AE
Content-Type: multipart/alternative;
	boundary="----_=_NextPart_001_01C36725.186992AE"

------_=_NextPart_001_01C36725.186992AE
Content-Type: text/plain;
	charset="iso-8859-1"

hi

I've managed to do PDF, but it is 36 pages since the diagrams are very
zoomed in. I similarly created a PDF from the MPLS dia on the website and it
was an insane number of pages and therefore not terribly useful.

I've attached the PDF for the dia Bert sent. Does anyone know how to make it
print (the method I use to create PDF) so you can fit more diagram to a
page?

Sharon

-----Original Message-----
From: Wijnen, Bert (Bert) [mailto:[email-masked]]
Sent: Saturday, July 26, 2003 6:41 PM
To: Frank Strauss; Marcus Brunner
Cc: [email-masked]; [email-masked]
Subject: RE: [nmrg] web page for uml diagrams

Mmm... the complete set is kind of undoable.
So I took just the LDP MIB.
I have a .dia file that presents a reasonable picture.
I do not have a proper tool to create a PDF file. 
Can one of you do so?

Attached is the .dia file (strange, when it generated the
file when I saved it, it seems to put virtually everything on one
long line. Oj well).

The associations in the MIB itself look awfully complex to me.
Other comments?

Thanks,
Bert 

> -----Original Message-----
> From: Frank Strauss [mailto:[email-masked]]
> Sent: woensdag 23 juli 2003 18:12
> To: Marcus Brunner
> Cc: [email-masked]; [email-masked]
> Subject: Re: [nmrg] web page for uml diagrams
> 
> 
> Hi!
> 
> Marcus> I tried to do it for the MPLS MIBs, but I miserably 
> failed even
> Marcus> parsing the MIBs in the latest drafts. But it might 
> be myself not
> Marcus> using the tools correctly.
>  
> >> Could you please point me (us) to the MIBs (or the I-Ds) you've fed
> >> to smidump? There are 36 documents in 
> internet-drafts/*mpls*mib*, and
> >> I don't want to check all of them. :-))
> 
> Marcus> draft-ietf-mpls-ftn-mib-07.txt
> Marcus> draft-ietf-mpls-ldp-mib-12.txt
> Marcus> draft-ietf-mpls-lsr-mib-11.txt
> Marcus> draft-ietf-mpls-tc-mib-08.txt
> Marcus> draft-ietf-mpls-te-mib-11.txt
> 
> Thanks. Here is a short description of what I did to check 
> the modules,
> to "repair" them so that they could be further processed, and 
> to generate
> a diagram. Maybe this helps others to do similar things...
> 
> 1. Get the documents.
> 
> 2. Extract the modules using smistrip. (The latest version from CVS of
>    smistrip now also accepts .gz files and is able to read documents
>    from a given directory):
> 
>         smistrip -i /ftp/docs/internet-drafts \
>                 draft-ietf-mpls-ftn-mib-07.txt \
>                 draft-ietf-mpls-ldp-mib-12.txt \
>                 draft-ietf-mpls-lsr-mib-11.txt \
>                 draft-ietf-mpls-tc-mib-08.txt \
>                 draft-ietf-mpls-te-mib-11.txt
> 
>    Note that documents that are formatted in an "unexpected" form, may
>    lead to warnings or even broken MIB modules, because smistrip has
>    to make some vague assumptions on how to cut off page footers and
>    headers.
> 
> 3. Check the extracted modules with smilint. If not otherwise set, the
>    local directory might have to be added to the paths in 
> which smilint
>    will search for modules.
> 
>         SMIPATH=.: smilint -i namelength-32 MPLS-*
> 
>    In this case I wanted to ignore all warnings about identifiers that
>    are longer than 32 chars. The errors that remain complain 
> about "XXX"
>    placeholders for a number of registrations.
> 
> 4. Fix errors, if required. In this case nothing has to be done to
>    produce the dia diagrams.
> 
> 5. Use smidump to generate whatever I want, e.g. metrics, 
> trees, diagrams:
> 
>         SMIPATH=.: smidump -u -f metrics MPLS-* | less
> 
>         SMIPATH=.: smidump -u -f tree MPLS-* | less
> 
>         SMIPATH=.: smidump -u -f cm MPLS-* > mpls-model.dia
> 
>    The -u option is used to get a "united" representation of all
>    input modules, instead of separated outputs per module.
> 
> 6. Use dia to drag items around to get a better layout and finally
>    print the diagram to a PDF file. I have not yet done this. It
>    seems to be quite some work in this case. :-) The non-beautified
>    diagram is at 
http://www.ibr.cs.tu-bs.de/users/strauss/mpls-model.dia.

 -frank
-- 
!! This message is brought to you via the `nmrg' mailing list.
!! Please do not reply to this message to unsubscribe. To unsubscribe or
adjust
!! your settings, send a mail message to <[email-masked]>
!! or look at https://www.ibr.cs.tu-bs.de/mailman/listinfo/nmrg.

------_=_NextPart_001_01C36725.186992AE
Content-Type: text/html;
	charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<META HTTP-EQUIV=3D"Content-Type" CONTENT=3D"text/html; =
charset=3Diso-8859-1">
<META NAME=3D"Generator" CONTENT=3D"MS Exchange Server version =
5.5.2656.31">
<TITLE>RE: [nmrg] web page for uml diagrams</TITLE>
</HEAD>
<BODY>

<P><FONT SIZE=3D2>hi</FONT>
</P>

<P><FONT SIZE=3D2>I've managed to do PDF, but it is 36 pages since the =
diagrams are very zoomed in. I similarly created a PDF from the MPLS =
dia on the website and it was an insane number of pages and therefore =
not terribly useful.</FONT></P>

<P><FONT SIZE=3D2>I've attached the PDF for the dia Bert sent. Does =
anyone know how to make it print (the method I use to create PDF) so =
you can fit more diagram to a page?</FONT></P>

<P><FONT SIZE=3D2>Sharon</FONT>
</P>

<P><FONT SIZE=3D2>-----Original Message-----</FONT>
<BR><FONT SIZE=3D2>From: Wijnen, Bert (Bert) [<A =
HREF=3D"mailto:[email-masked]">mailto:[email-masked]</A>]</FONT>=

<BR><FONT SIZE=3D2>Sent: Saturday, July 26, 2003 6:41 PM</FONT>
<BR><FONT SIZE=3D2>To: Frank Strauss; Marcus Brunner</FONT>
<BR><FONT SIZE=3D2>Cc: [email-masked]; =
[email-masked]</FONT>
<BR><FONT SIZE=3D2>Subject: RE: [nmrg] web page for uml diagrams</FONT>
</P>
<BR>

<P><FONT SIZE=3D2>Mmm... the complete set is kind of undoable.</FONT>
<BR><FONT SIZE=3D2>So I took just the LDP MIB.</FONT>
<BR><FONT SIZE=3D2>I have a .dia file that presents a reasonable =
picture.</FONT>
<BR><FONT SIZE=3D2>I do not have a proper tool to create a PDF file. =
</FONT>
<BR><FONT SIZE=3D2>Can one of you do so?</FONT>
</P>

<P><FONT SIZE=3D2>Attached is the .dia file (strange, when it generated =
the</FONT>
<BR><FONT SIZE=3D2>file when I saved it, it seems to put virtually =
everything on one</FONT>
<BR><FONT SIZE=3D2>long line. Oj well).</FONT>
</P>

<P><FONT SIZE=3D2>The associations in the MIB itself look awfully =
complex to me.</FONT>
<BR><FONT SIZE=3D2>Other comments?</FONT>
</P>

<P><FONT SIZE=3D2>Thanks,</FONT>
<BR><FONT SIZE=3D2>Bert </FONT>
</P>

<P><FONT SIZE=3D2>&gt; -----Original Message-----</FONT>
<BR><FONT SIZE=3D2>&gt; From: Frank Strauss [<A =
HREF=3D"mailto:[email-masked]">mailto:[email-masked]</=
A>]</FONT>
<BR><FONT SIZE=3D2>&gt; Sent: woensdag 23 juli 2003 18:12</FONT>
<BR><FONT SIZE=3D2>&gt; To: Marcus Brunner</FONT>
<BR><FONT SIZE=3D2>&gt; Cc: [email-masked]; =
[email-masked]</FONT>
<BR><FONT SIZE=3D2>&gt; Subject: Re: [nmrg] web page for uml =
diagrams</FONT>
<BR><FONT SIZE=3D2>&gt; </FONT>
<BR><FONT SIZE=3D2>&gt; </FONT>
<BR><FONT SIZE=3D2>&gt; Hi!</FONT>
<BR><FONT SIZE=3D2>&gt; </FONT>
<BR><FONT SIZE=3D2>&gt; Marcus&gt; I tried to do it for the MPLS MIBs, =
but I miserably </FONT>
<BR><FONT SIZE=3D2>&gt; failed even</FONT>
<BR><FONT SIZE=3D2>&gt; Marcus&gt; parsing the MIBs in the latest =
drafts. But it might </FONT>
<BR><FONT SIZE=3D2>&gt; be myself not</FONT>
<BR><FONT SIZE=3D2>&gt; Marcus&gt; using the tools correctly.</FONT>
<BR><FONT SIZE=3D2>&gt;&nbsp; </FONT>
<BR><FONT SIZE=3D2>&gt; &gt;&gt; Could you please point me (us) to the =
MIBs (or the I-Ds) you've fed</FONT>
<BR><FONT SIZE=3D2>&gt; &gt;&gt; to smidump? There are 36 documents in =
</FONT>
<BR><FONT SIZE=3D2>&gt; internet-drafts/*mpls*mib*, and</FONT>
<BR><FONT SIZE=3D2>&gt; &gt;&gt; I don't want to check all of them. =
:-))</FONT>
<BR><FONT SIZE=3D2>&gt; </FONT>
<BR><FONT SIZE=3D2>&gt; Marcus&gt; =
draft-ietf-mpls-ftn-mib-07.txt</FONT>
<BR><FONT SIZE=3D2>&gt; Marcus&gt; =
draft-ietf-mpls-ldp-mib-12.txt</FONT>
<BR><FONT SIZE=3D2>&gt; Marcus&gt; =
draft-ietf-mpls-lsr-mib-11.txt</FONT>
<BR><FONT SIZE=3D2>&gt; Marcus&gt; draft-ietf-mpls-tc-mib-08.txt</FONT>
<BR><FONT SIZE=3D2>&gt; Marcus&gt; draft-ietf-mpls-te-mib-11.txt</FONT>
<BR><FONT SIZE=3D2>&gt; </FONT>
<BR><FONT SIZE=3D2>&gt; Thanks. Here is a short description of what I =
did to check </FONT>
<BR><FONT SIZE=3D2>&gt; the modules,</FONT>
<BR><FONT SIZE=3D2>&gt; to &quot;repair&quot; them so that they could =
be further processed, and </FONT>
<BR><FONT SIZE=3D2>&gt; to generate</FONT>
<BR><FONT SIZE=3D2>&gt; a diagram. Maybe this helps others to do =
similar things...</FONT>
<BR><FONT SIZE=3D2>&gt; </FONT>
<BR><FONT SIZE=3D2>&gt; 1. Get the documents.</FONT>
<BR><FONT SIZE=3D2>&gt; </FONT>
<BR><FONT SIZE=3D2>&gt; 2. Extract the modules using smistrip. (The =
latest version from CVS of</FONT>
<BR><FONT SIZE=3D2>&gt;&nbsp;&nbsp;&nbsp; smistrip now also accepts .gz =
files and is able to read documents</FONT>
<BR><FONT SIZE=3D2>&gt;&nbsp;&nbsp;&nbsp; from a given =
directory):</FONT>
<BR><FONT SIZE=3D2>&gt; </FONT>
<BR><FONT SIZE=3D2>&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; =
smistrip -i /ftp/docs/internet-drafts \</FONT>
<BR><FONT =
SIZE=3D2>&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp=
;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; draft-ietf-mpls-ftn-mib-07.txt =
\</FONT>
<BR><FONT =
SIZE=3D2>&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp=
;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; draft-ietf-mpls-ldp-mib-12.txt =
\</FONT>
<BR><FONT =
SIZE=3D2>&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp=
;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; draft-ietf-mpls-lsr-mib-11.txt =
\</FONT>
<BR><FONT =
SIZE=3D2>&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp=
;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; draft-ietf-mpls-tc-mib-08.txt =
\</FONT>
<BR><FONT =
SIZE=3D2>&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp=
;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; =
draft-ietf-mpls-te-mib-11.txt</FONT>
<BR><FONT SIZE=3D2>&gt; </FONT>
<BR><FONT SIZE=3D2>&gt;&nbsp;&nbsp;&nbsp; Note that documents that are =
formatted in an &quot;unexpected&quot; form, may</FONT>
<BR><FONT SIZE=3D2>&gt;&nbsp;&nbsp;&nbsp; lead to warnings or even =
broken MIB modules, because smistrip has</FONT>
<BR><FONT SIZE=3D2>&gt;&nbsp;&nbsp;&nbsp; to make some vague =
assumptions on how to cut off page footers and</FONT>
<BR><FONT SIZE=3D2>&gt;&nbsp;&nbsp;&nbsp; headers.</FONT>
<BR><FONT SIZE=3D2>&gt; </FONT>
<BR><FONT SIZE=3D2>&gt; 3. Check the extracted modules with smilint. If =
not otherwise set, the</FONT>
<BR><FONT SIZE=3D2>&gt;&nbsp;&nbsp;&nbsp; local directory might have to =
be added to the paths in </FONT>
<BR><FONT SIZE=3D2>&gt; which smilint</FONT>
<BR><FONT SIZE=3D2>&gt;&nbsp;&nbsp;&nbsp; will search for =
modules.</FONT>
<BR><FONT SIZE=3D2>&gt; </FONT>
<BR><FONT SIZE=3D2>&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; =
SMIPATH=3D.: smilint -i namelength-32 MPLS-*</FONT>
<BR><FONT SIZE=3D2>&gt; </FONT>
<BR><FONT SIZE=3D2>&gt;&nbsp;&nbsp;&nbsp; In this case I wanted to =
ignore all warnings about identifiers that</FONT>
<BR><FONT SIZE=3D2>&gt;&nbsp;&nbsp;&nbsp; are longer than 32 chars. The =
errors that remain complain </FONT>
<BR><FONT SIZE=3D2>&gt; about &quot;XXX&quot;</FONT>
<BR><FONT SIZE=3D2>&gt;&nbsp;&nbsp;&nbsp; placeholders for a number of =
registrations.</FONT>
<BR><FONT SIZE=3D2>&gt; </FONT>
<BR><FONT SIZE=3D2>&gt; 4. Fix errors, if required. In this case =
nothing has to be done to</FONT>
<BR><FONT SIZE=3D2>&gt;&nbsp;&nbsp;&nbsp; produce the dia =
diagrams.</FONT>
<BR><FONT SIZE=3D2>&gt; </FONT>
<BR><FONT SIZE=3D2>&gt; 5. Use smidump to generate whatever I want, =
e.g. metrics, </FONT>
<BR><FONT SIZE=3D2>&gt; trees, diagrams:</FONT>
<BR><FONT SIZE=3D2>&gt; </FONT>
<BR><FONT SIZE=3D2>&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; =
SMIPATH=3D.: smidump -u -f metrics MPLS-* | less</FONT>
<BR><FONT SIZE=3D2>&gt; </FONT>
<BR><FONT SIZE=3D2>&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; =
SMIPATH=3D.: smidump -u -f tree MPLS-* | less</FONT>
<BR><FONT SIZE=3D2>&gt; </FONT>
<BR><FONT SIZE=3D2>&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; =
SMIPATH=3D.: smidump -u -f cm MPLS-* &gt; mpls-model.dia</FONT>
<BR><FONT SIZE=3D2>&gt; </FONT>
<BR><FONT SIZE=3D2>&gt;&nbsp;&nbsp;&nbsp; The -u option is used to get =
a &quot;united&quot; representation of all</FONT>
<BR><FONT SIZE=3D2>&gt;&nbsp;&nbsp;&nbsp; input modules, instead of =
separated outputs per module.</FONT>
<BR><FONT SIZE=3D2>&gt; </FONT>
<BR><FONT SIZE=3D2>&gt; 6. Use dia to drag items around to get a better =
layout and finally</FONT>
<BR><FONT SIZE=3D2>&gt;&nbsp;&nbsp;&nbsp; print the diagram to a PDF =
file. I have not yet done this. It</FONT>
<BR><FONT SIZE=3D2>&gt;&nbsp;&nbsp;&nbsp; seems to be quite some work =
in this case. :-) The non-beautified</FONT>
<BR><FONT SIZE=3D2>&gt;&nbsp;&nbsp;&nbsp; diagram is at </FONT>
<BR><FONT SIZE=3D2><A =
HREF=3D"http://www.ibr.cs.tu-bs.de/users/strauss/mpls-model.dia" =
TARGET=3D"_blank">http://www.ibr.cs.tu-bs.de/users/strauss/mpls-model.di=
a</A>.</FONT>
</P>

<P><FONT SIZE=3D2>&nbsp;-frank</FONT>
<BR><FONT SIZE=3D2>-- </FONT>
<BR><FONT SIZE=3D2>!! This message is brought to you via the `nmrg' =
mailing list.</FONT>
<BR><FONT SIZE=3D2>!! Please do not reply to this message to =
unsubscribe. To unsubscribe or adjust</FONT>
<BR><FONT SIZE=3D2>!! your settings, send a mail message to =
&lt;[email-masked]&gt;</FONT>
<BR><FONT SIZE=3D2>!! or look at <A =
HREF=3D"https://www.ibr.cs.tu-bs.de/mailman/listinfo/nmrg" =
TARGET=3D"_blank">https://www.ibr.cs.tu-bs.de/mailman/listinfo/nmrg</A>.=
</FONT>
</P>

<P><FONT FACE=3D"Arial" SIZE=3D2 COLOR=3D"#000000"></FONT>&nbsp;

</BODY>
</HTML>
------_=_NextPart_001_01C36725.186992AE--

------_=_NextPart_000_01C36725.186992AE
Content-Type: application/pdf;
	name="mpls_ldp_model.pdf"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
	filename="mpls_ldp_model.pdf"

------_=_NextPart_000_01C36725.186992AE--